From c55703cdb9e07f87d443934a93eb8f7b60566f2f Mon Sep 17 00:00:00 2001
From: Oleksandr Shneyder <admin@bigbook>
Date: Tue, 10 Dec 2019 11:59:23 -0600
Subject: [PATCH] Update classic TCE to debian buster.

---
# debian/changelog                       | 4 ++++
 management/etc/x2gothinclient_settings | 4 ++--
 management/sbin/x2gothinclient_create  | 3 +++
 management/sbin/x2gothinclient_update  | 2 +-
 4 files changed, 10 insertions(+), 3 deletions(-)

#diff --git a/debian/changelog b/debian/changelog
#index 22fb9ab..8491264 100644
#--- a/debian/changelog
#+++ b/debian/changelog
#@@ -1,7 +1,11 @@
# x2gothinclient (1.5.0.2-0x2go1) UNRELEASED; urgency=medium
#
#+  [ X2Go Release Manager ]
#   * Continue development
#
#+  [ Oleksandr Shneyder ]
#+  * Update classic TCE to debian buster.
#+
#  -- X2Go Release Manager <git-admin@x2go.org>  Fri, 29 Nov 2019 08:26:12 +0100
#
# x2gothinclient (1.5.0.1-0x2go2) unstable; urgency=medium
diff --git a/management/etc/x2gothinclient_settings b/management/etc/x2gothinclient_settings
index 074549f..2bb8ed1 100644
--- a/management/etc/x2gothinclient_settings
+++ b/management/etc/x2gothinclient_settings
@@ -43,9 +43,9 @@ TC_SHELL="bash"
 TC_DEBMIRROR_URL="http://ftp.debian.org/debian"

 # Distro codename to use...
-TC_DISTRO_CODENAME="stretch"
+TC_DISTRO_CODENAME="buster"
 # or use older Debian ...
-#TC_DISTRO_CODENAME="jessie"
+#TC_DISTRO_CODENAME="stretch"

 # Default architecture is "amd64"
 TC_ARCH="amd64"
diff --git a/management/sbin/x2gothinclient_create b/management/sbin/x2gothinclient_create
index a9cf48f..fb0ddd6 100755
--- a/management/sbin/x2gothinclient_create
+++ b/management/sbin/x2gothinclient_create
@@ -204,6 +204,8 @@ chmod +x /sbin/start-stop-daemon

 export X2GO_HANDLE_DAEMONS=false

+[ \$? -eq 0 ] && apt-get install gnupg -y
+[ \$? -eq 0 ] && apt-key adv --recv-keys --keyserver keys.gnupg.net E1F958385BFE2B6E
 [ \$? -eq 0 ] && test -n "$TC_X2GO_DEBURL" && echo "$TC_X2GO_DEBURL" > /etc/apt/sources.list.d/x2go.list
 [ \$? -eq 0 ] && test -n "$TC_X2GO_DEBURL" && apt-get update
 [ \$? -eq 0 ] && test -n "$TC_X2GO_DEBURL" && apt-get install x2go-keyring -y
@@ -247,6 +249,7 @@ fi
 [ \$? -eq 0 ] && if ! getent group scard 1>/dev/null; then groupadd scard; fi
 [ \$? -eq 0 ] && adduser x2gothinclient scard
 [ \$? -eq 0 ] && passwd -l root
+[ \$? -eq 0 ] && systemctl enable x2gothinclient-displaymanager

 [ \$? -eq 0 ] && sed -e 's/#ListenAddress ::/AddressFamily inet\nListenAddress 127.0.0.1/' -i /etc/ssh/sshd_config

diff --git a/management/sbin/x2gothinclient_update b/management/sbin/x2gothinclient_update
index 297809c..7b9c49c 100755
--- a/management/sbin/x2gothinclient_update
+++ b/management/sbin/x2gothinclient_update
@@ -87,7 +87,7 @@ fi

 if test -f "$TC_CONFIG/freerdp/known_hosts" || test -f "$TC_CONFIG/freerdp/known_hosts2" ; then
 	mkdir -p "$TC_CHROOT/etc/x2go/freerdp/"
-	cp -v "$TC_CONFIG/freerdp/known_hosts*" "$TC_CHROOT/etc/x2go/freerdp/"
+	cp -v "$TC_CONFIG"/freerdp/known_hosts* "$TC_CHROOT/etc/x2go/freerdp/"
 fi

 echo
--
2.20.1

